import React, { useContext} from "react";
import { Redirect } from "react-router-dom";
import { IOCDeployDialog } from "./IOCDeployDialog";
import { notificationContext } from "../../components/common/notification/Notifications";

// Process component
export function DeployIOC({ open, setOpen, submitCallback, hook, init={}}) {
  const [deployment, action] = hook();
  const {watchDeployment} = useContext(notificationContext);

  if (!deployment) {
    return (<IOCDeployDialog open={open} setOpen={setOpen} submitCallback={action} init={init}/>);
  }
  else {
    submitCallback(); // This works but throws a warning because I am changing state in the parent while the child is rerendering. Not sure yet how to fix.
    watchDeployment(deployment.id);
    return (<Redirect to={`/deployments/${deployment.id}`} push />);
  }
}