import { Tooltip, useTheme } from "@material-ui/core";
import { PlayArrow, Stop, RadioButtonUnchecked } from "@material-ui/icons";
import React from "react";

export function IOCStatusIcon({ ioc }) {

  const theme = useTheme();

  const statusBulbColors = {
    true: theme.palette.status.ok,
    false: theme.palette.status.fail,
    null: theme.palette.text.disabled,
  };

  const statusBulbIcons = {
    true: <Tooltip title="Active"><PlayArrow/></Tooltip>,
    false: <Tooltip title="Inactive"><Stop /></Tooltip>,
    null: <Tooltip title="Unknown"><RadioButtonUnchecked /></Tooltip>,
  }
  
  let state = ioc.active;
  if (!ioc.activeDeployment) state = null;
  console.log(state);
  console.log(ioc);

  const iconStyle = { fill: statusBulbColors[state] };
  const icon = React.cloneElement(statusBulbIcons[state], { style: iconStyle });

  return icon;
}
