import React, { useContext} from "react";
import { Redirect } from "react-router-dom";
import { IOCUndeployDialog } from "./IOCUndeployDialog";
import { notificationContext } from "../../components/common/notification/Notifications";

// Process component
export function UndeployIOC({ open, setOpen, submitCallback, hook, ioc }) {
  const [deployment, action] = hook();
  const {watchDeployment} = useContext(notificationContext);

  if (!deployment) {
    return (<IOCUndeployDialog open={open} setOpen={setOpen} submitCallback={action} ioc={ioc}/>);
  }
  else {
    submitCallback(); // This works but throws a warning because I am changing state in the parent while the child is rerendering. Not sure yet how to fix.
    watchDeployment(deployment.id);
    return (<Redirect to={`/deployments/${deployment.id}`} push />);
  }
}
