import React from 'react';
import {
  TextField,
  Button,
  Dialog,
  DialogTitle,
  DialogActions,
  DialogContent, 
  makeStyles
} from '@material-ui/core';

const useStyles = makeStyles((theme) => ({
  textField: {
    marginBottom: theme.spacing(1),
  },
}));

export default function Login({ auth }) {
  const classes = useStyles();

  const onSubmit = async (event) => {
    event.preventDefault();
    const username = document.getElementById('username').value;
    const password = document.getElementById('password').value;
    await auth(username, password);
  }

  return (
    <Dialog open >
      <form>
        <DialogTitle id="form-dialog-title">CCCE</DialogTitle>
        <DialogContent>
        <TextField id="username" className={classes.textField} label="Username" variant="filled" fullWidth />
        <TextField id="password" className={classes.textField} label="Password" variant="filled" type="password" fullWidth />
        </DialogContent>
        <DialogActions>
        <Button variant="contained" color="primary" onClick={onSubmit} type="submit">Login</Button>
        </DialogActions>
      </form>
    </Dialog>
  );
}