import React from "react";
import {
  Container,
  Table,
  TableBody,
  TableCell,
  TableRow,
  Typography,
} from "@material-ui/core";

// const StyledTableRow = withStyles((theme) => ({
//   root: {
//     '&:nth-of-type(odd)': {
//       backgroundColor: theme.palette.action.hover,
//     },
//   },
// }))(TableRow);

export function KeyValueTable({ obj, variant="overline" }) {
  return (
    <Container style={{ overflow: "auto" }}>
      <Table>
        <TableBody size="small">
          {Object.keys(obj).map((key) =>
            <TableRow key={key}>
              {
                (variant === "table") &&
                <TableCell >
                  <strong>{key}</strong>
                </TableCell>
              }
              <TableCell>
                {
                  (variant === "overline") &&
                  <Typography variant="overline">
                    {key}
                  </Typography>
                }
                {
                  typeof(obj[key]) !== "object" ? 
                <Typography>
                  {`${obj[key]}`}
                </Typography>
                : <div>{obj[key]}</div>
                }
              </TableCell>
            </TableRow>
          )}
        </TableBody>
      </Table>
    </Container>
  );
}