import { CheckCircleOutline, ErrorOutline, RotateRightOutlined, ScheduleOutlined, QueueOutlined } from "@material-ui/icons";
import React from "react";
import { Tooltip } from "@material-ui/core";
import { theme } from "../../Theme";

export function DeploymentStatusIcon({ status }) {

const deploymentStatusIcons = {
  "successful": <Tooltip title="Successful"><CheckCircleOutline /></Tooltip>,
  "failed": <Tooltip title="Failed"><ErrorOutline /></Tooltip>,
  "running": <Tooltip title="Running"><RotateRightOutlined /></Tooltip>,
  "queued": <Tooltip title="Queued"><QueueOutlined /></Tooltip>,
  "pending": <Tooltip title="Pending"><ScheduleOutlined /></Tooltip>,
}

const deploymentStatusColors = {
  "successful": theme.palette.status.ok,
  "failed": theme.palette.status.fail,
  "running": theme.palette.status.progress,
  "queued": theme.palette.status.progress,
  "pending": theme.palette.status.neutral,
}

  const state = status.toLowerCase()
  const iconStyle = { fill: deploymentStatusColors[state] };
  const icon = React.cloneElement(deploymentStatusIcons[state], { style: iconStyle });

  return icon;
}
