import { rest } from 'msw';
import { setupServer } from 'msw/node';
import OpenAPIBackend from 'openapi-backend';
import definition from "../test/ccce-api.json";

// create our mock backend with openapi-backend
const api = new OpenAPIBackend({ definition });
api.register('notFound', (c, res, ctx) => res(ctx.status(404)));
api.register('notImplemented', async (c, res, ctx) => {
  const { status, mock } = await api.mockResponseForOperation(c.operation.operationId);
  return res(ctx.status(status), ctx.json(mock));
});

// tell msw to intercept all requests to api/* with our mock
const handlers = [
  // rest.get('/api/ccce-api', (req, res, ctx) => ctx.json(definition) ),
  rest.get('*', (req, res, ctx) => {
    console.log(req);
    console.log(req.url.host);
    console.log("in handler");
    return ctx.json({success: true});
    // return api.handleRequest(req, res, ctx);
    // return api.handleRequest(req, res, ctx).then(x=>console.log("yes",x)).catch(x=>console.log("no",x));
  })
]
const server = setupServer(...handlers);

console.log(api);
console.log(server);

beforeAll(() => server.listen({ onUnhandledRequest: "error"}));
afterAll(() => server.close());