import React from 'react';
import { Container, IconButton, Paper } from '@material-ui/core';
import { DeploymentDetails } from "../../components/deployments/DeploymentDetails";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";
import { useDeployment } from '../../api/SwaggerApi';
import ArrowBackIcon from '@material-ui/icons/ArrowBack';
import { useHistory } from "react-router-dom";

export function DeploymentDetailsView({ match }) {
  const id = parseInt(match.params.id);
  const [deployment, getDeployment] = useDeployment(id);
  const history = useHistory();

  useGlobalAppBar(
    "CCCE / Deployment Details"
  );
  
  console.log(deployment);

  const handleClick = (event) => {
        history.goBack();
    };

  return (
      <Container>
        <Paper>
          <IconButton color="inherit" onClick={handleClick}>
              <ArrowBackIcon />
          </IconButton>
          {deployment && <DeploymentDetails deployment={deployment} getDeployment={getDeployment} onDeploymentStart={()=>{}} startButtonDisabled={true} />}
        </Paper>
      </Container>
  );
}
