import React from "react";
import { Container, Paper, Typography, makeStyles } from "@material-ui/core";
import { useGlobalAppBar } from "../../components/navigation/GlobalAppBar/GlobalAppBar";

const useStyles = makeStyles((theme) => ({
  paper: {
    maxWidth: "80%",
    padding: theme.spacing(1),
  },
}));

export function HelpView() {
  const classes = useStyles();
  const title = "CCCE / Help";
  useGlobalAppBar(title);

  return (
    <Container>
      <h2>Help</h2>
      <Paper className={classes.paper}>
        <Typography variant="body1">
        This is the development version of the deployment part of the CCDB ecosystem (working name CCCE). To deploy an IOC, go to Home and press &apos;New deployment&apos;. Deployment status as well as IOC and host status will be reported back in semi-realtime.
        
        <p>If you need support, visit #ccce-ioc-deployment-beta on Slack.</p>
        </Typography>
      </Paper>
    </Container>
  )
}