import React, { useEffect, useState } from "react";
import {
    Paper,
    Grid,
    Hidden,
    Container
} from '@material-ui/core';
import HostList from '../../components/host/HostList';
import HostTable from '../../components/host/HostTable';
import { useCSEntrySearch } from "../../api/SwaggerApi";
import { useGlobalAppBar } from '../../components/navigation/GlobalAppBar/GlobalAppBar';

export function HostListView() {
    useGlobalAppBar("CCCE / Explore IOC hosts");

    const [hosts, getHosts] = useCSEntrySearch();
    const [query, setQuery] = useState();

    useEffect(() => getHosts(`fqdn:"${query}"`), [query, getHosts]);    

    const content = (
        <>
            <Hidden smUp>
                <HostList hosts={hosts} setQuery={setQuery}/>
            </Hidden>
            <Hidden xsDown>
                <HostTable hosts={hosts} setQuery={setQuery}/>
            </Hidden>
        </>
    );

    return (
        <Container>
            <Paper>
                <Grid container spacing={1} justify="flex-end">
                    <Grid item xs={12} md={12}>
                        {content}
                    </Grid>
                </Grid>
            </Paper>
        </Container>
    );
}